QMotifWidget(3qt)

NAME
QMotifWidget - The TQWidget API for Xt/Motif widgets

SYNOPSIS
This class is part of the Qt Motif Extension.

#include <qmotifwidget.h>

Inherits TQWidget.

  Public Members
QMotifWidget ( TQWidget * parent, WidgetClass widgetclass, ArgList args = NULL, Cardinal argcount = 0, const char * name = 0, WFlags flags = 0 )
virtual ~QMotifWidget ()
Widget motifWidget () const

  Protected Members
virtual bool x11Event ( XEvent * event )

DESCRIPTION
This class is defined in the Qt Motif Extension, which can be found in the qt/extensions directory. It is not included in the main TQt API.

The QMotifWidget class provides the TQWidget API for Xt/Motif widgets.

QMotifWidget exists to provide a TQWidget that can act as a parent for any Xt/Motif widget. Since the QMotifWidget is a proper TQWidget, it can be used as a top-level widget (e.g. 0 parent) or as a child of any other TQWidget. Note: Since QMotifWidget acts as a parent for Xt/Motif widgets, you should not create QWidgets with a QMotifWidget parent.

An Xt/Motif widget with a top-level QMotifWidget parent can begin using the standard TQt dialogs and custom QDialogs while keeping the main Xt/Motif interface of the application. Using a QMotifWidget as the parent for the various QDialogs will ensure that modality and stacking works properly throughout the entire application.

Applications moving to TQt may have custom Xt/Motif widgets that will take time to rewrite with Qt. Such applications can use these custom widgets as QMotifWidget with TQWidget parents. This allows the application's interface to be replaced gradually.

Warning: QMotifWidget uses the X11 window ID of the Motif widget directly, instead of creating its own. Because ot this, TQWidget::reparent() will not work. This includes the functions TQWidget::showFullScreen() and TQWidget::showNormal(), which use TQWidget::reparent().

MEMBER FUNCTION DOCUMENTATION

QMotifWidget::QMotifWidget ( TQWidget * parent, WidgetClass widgetclass, ArgList args = NULL, Cardinal argcount = 0, const char * name = 0, WFlags flags = 0 )
Creates a QMotifWidget of the given widgetclass as a child of parent, with the name name and widget flags flags.

The args and argcount arguments are passed on to XtCreateWidget.

The motifWidget() function returns the resulting Xt/Motif widget. This widget can be used as a parent for any other Xt/Motif widget.

If parent is a QMotifWidget, the Xt/Motif widget is created as a child of the parent's motifWidget(). If &#92; parent is 0 or a normal TQWidget, the Xt/Motif widget is created as a child of a special TopLevelShell widget. Xt/Motif widgets can use this special TopLevelShell parent as the parent for existing Xt/Motif dialogs or QMotifDialogs.

QMotifWidget::~QMotifWidget () [virtual]
Destroys the QMotifWidget. The special TopLevelShell is also destroyed, if it was created during construction.

Widget QMotifWidget::motifWidget () const
Returns the embedded Xt/Motif widget. If a Shell widget was created by the constructor, you can access it with XtParent().

SEE ALSO
http://doc.trolltech.com/qmotifwidget.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2007 Trolltech ASA, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive TQt documentation is provided in HTML format; it is located at $TQTDIR/doc/html and can be read using TQt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (tqmotifwidget.3qt) and the Qt version (3.3.8).